Package com.independentsoft.office.spreadsheet.styles

# Class CellFormat

java.lang.Object
com.independentsoft.office.spreadsheet.styles.CellFormat

public class CellFormat extends Object
The Class CellFormat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellFormat()`
  Instantiates a new cell format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellFormat`
  `clone()`
  `CellAlignment`
  `getAlignment()`
  Gets the alignment.
  `CellBorder`
  `getBorder()`
  Gets the border.
  `Fill`
  `getFill()`
  Gets the fill.
  `Font`
  `getFont()`
  Gets the font.
  `MasterCellFormat`
  `getMasterFormat()`
  Gets the master format.
  `NumberFormat`
  `getNumberFormat()`
  Gets the number format.
  `int`
  `getNumberFormatID()`
  Gets the number format id.
  `Protection`
  `getProtection()`
  Gets the protection.
  `boolean`
  `hasPivotButton()`
  Checks for pivot button.
  `boolean`
  `hasQuotePrefix()`
  Checks for quote prefix.
  `boolean`
  `isApplyAlignment()`
  Checks if is apply alignment.
  `boolean`
  `isApplyBorder()`
  Checks if is apply border.
  `boolean`
  `isApplyFill()`
  Checks if is apply fill.
  `boolean`
  `isApplyFont()`
  Checks if is apply font.
  `boolean`
  `isApplyNumberFormat()`
  Checks if is apply number format.
  `boolean`
  `isApplyProtection()`
  Checks if is apply protection.
  `void`
  `setAlignment​(CellAlignment alignment)`
  Sets the alignment.
  `void`
  `setApplyAlignment​(boolean applyAlignment)`
  Sets the apply alignment.
  `void`
  `setApplyBorder​(boolean applyBorder)`
  Sets the apply border.
  `void`
  `setApplyFill​(boolean applyFill)`
  Sets the apply fill.
  `void`
  `setApplyFont​(boolean applyFont)`
  Sets the apply font.
  `void`
  `setApplyNumberFormat​(boolean applyNumberFormat)`
  Sets the apply number format.
  `void`
  `setApplyProtection​(boolean applyProtection)`
  Sets the apply protection.
  `void`
  `setBorder​(CellBorder border)`
  Sets the border.
  `void`
  `setFill​(Fill fill)`
  Sets the fill.
  `void`
  `setFont​(Font font)`
  Sets the font.
  `void`
  `setMasterFormat​(MasterCellFormat masterFormat)`
  Sets the master format.
  `void`
  `setNumberFormat​(NumberFormat numberFormat)`
  Sets the number format.
  `void`
  `setNumberFormatID​(int numberFormatID)`
  Sets the number format id.
  `void`
  `setPivotButton​(boolean hasPivotButton)`
  Sets the pivot button.
  `void`
  `setProtection​(Protection protection)`
  Sets the protection.
  `void`
  `setQuotePrefix​(boolean hasQuotePrefix)`
  Sets the quote prefix.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellFormat

    public CellFormat()
    Instantiates a new cell format.

- ## Method Details

  - ### clone

    public CellFormat clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlignment

    public CellAlignment getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(CellAlignment alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getProtection

    public Protection getProtection()
    Gets the protection.
    Returns:
      the protection

  - ### setProtection

    public void setProtection​(Protection protection)
    Sets the protection.
    Parameters:
      `protection` - the new protection

  - ### isApplyAlignment

    public boolean isApplyAlignment()
    Checks if is apply alignment.
    Returns:
      true, if is apply alignment

  - ### setApplyAlignment

    public void setApplyAlignment​(boolean applyAlignment)
    Sets the apply alignment.
    Parameters:
      `applyAlignment` - the new apply alignment

  - ### isApplyBorder

    public boolean isApplyBorder()
    Checks if is apply border.
    Returns:
      true, if is apply border

  - ### setApplyBorder

    public void setApplyBorder​(boolean applyBorder)
    Sets the apply border.
    Parameters:
      `applyBorder` - the new apply border

  - ### isApplyFill

    public boolean isApplyFill()
    Checks if is apply fill.
    Returns:
      true, if is apply fill

  - ### setApplyFill

    public void setApplyFill​(boolean applyFill)
    Sets the apply fill.
    Parameters:
      `applyFill` - the new apply fill

  - ### isApplyFont

    public boolean isApplyFont()
    Checks if is apply font.
    Returns:
      true, if is apply font

  - ### setApplyFont

    public void setApplyFont​(boolean applyFont)
    Sets the apply font.
    Parameters:
      `applyFont` - the new apply font

  - ### isApplyNumberFormat

    public boolean isApplyNumberFormat()
    Checks if is apply number format.
    Returns:
      true, if is apply number format

  - ### setApplyNumberFormat

    public void setApplyNumberFormat​(boolean applyNumberFormat)
    Sets the apply number format.
    Parameters:
      `applyNumberFormat` - the new apply number format

  - ### isApplyProtection

    public boolean isApplyProtection()
    Checks if is apply protection.
    Returns:
      true, if is apply protection

  - ### setApplyProtection

    public void setApplyProtection​(boolean applyProtection)
    Sets the apply protection.
    Parameters:
      `applyProtection` - the new apply protection

  - ### hasPivotButton

    public boolean hasPivotButton()
    Checks for pivot button.
    Returns:
      true, if successful

  - ### setPivotButton

    public void setPivotButton​(boolean hasPivotButton)
    Sets the pivot button.
    Parameters:
      `hasPivotButton` - the new pivot button

  - ### hasQuotePrefix

    public boolean hasQuotePrefix()
    Checks for quote prefix.
    Returns:
      true, if successful

  - ### setQuotePrefix

    public void setQuotePrefix​(boolean hasQuotePrefix)
    Sets the quote prefix.
    Parameters:
      `hasQuotePrefix` - the new quote prefix

  - ### getNumberFormatID

    public int getNumberFormatID()
    Gets the number format id.
    Returns:
      the number format id

  - ### setNumberFormatID

    public void setNumberFormatID​(int numberFormatID)
    Sets the number format id.
    Parameters:
      `numberFormatID` - the new number format id

  - ### getBorder

    public CellBorder getBorder()
    Gets the border.
    Returns:
      the border

  - ### setBorder

    public void setBorder​(CellBorder border)
    Sets the border.
    Parameters:
      `border` - the new border

  - ### getFill

    public Fill getFill()
    Gets the fill.
    Returns:
      the fill

  - ### setFill

    public void setFill​(Fill fill)
    Sets the fill.
    Parameters:
      `fill` - the new fill

  - ### getFont

    public Font getFont()
    Gets the font.
    Returns:
      the font

  - ### setFont

    public void setFont​(Font font)
    Sets the font.
    Parameters:
      `font` - the new font

  - ### getNumberFormat

    public NumberFormat getNumberFormat()
    Gets the number format.
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(NumberFormat numberFormat)
    Sets the number format.
    Parameters:
      `numberFormat` - the new number format

  - ### getMasterFormat

    public MasterCellFormat getMasterFormat()
    Gets the master format.
    Returns:
      the master format

  - ### setMasterFormat

    public void setMasterFormat​(MasterCellFormat masterFormat)
    Sets the master format.
    Parameters:
      `masterFormat` - the new master format